diff --git a/build/boot/arm/lspro-config-debian b/build/boot/arm/lspro-config-debian
index 05e979e..95be499 100644
--- a/build/boot/arm/lspro-config-debian
+++ b/build/boot/arm/lspro-config-debian
@@ -5,19 +5,19 @@
 NVRAM=$(which nvram)
 FW_PRINTENV=$(which fw_printenv)
 
-path=$(mount | grep ext[23] | sed -n '/sda1/ {s/\/dev\/sda1 on \(.*\) type.*/\1/; p}')
+path=$(mount | grep ext[23] | sed -n '/sda1\|md0/ {s/\/dev\/\(sda1\|md0\) on \(.*\) type.*/\2/; p}')
 if [ -z "$path" ]; then
-	echo "You have to create an ext2 filesystem on /dev/sda1"
+	echo "You have to create an ext2 filesystem on /dev/sda1 or /dev/md0"
 	exit 1
 fi
 
 if [ ! -e $path/uImage.buffalo ]; then
-	echo "You have to download the uImage.buffalo file from the debian-installer for Linkstation Pro/Live, and put it in $path"
+	echo "You have to download the uImage.buffalo file from the debian-installer for Linkstation, and put it in $path"
 	exit 1
 fi
 
 if [ ! -e $path/initrd.buffalo ]; then
-	echo "You have to download the initrd.buffalo file from the debian-installer for Linkstation Pro/Live, and put it in $path"
+	echo "You have to download the initrd.buffalo file from the debian-installer for Linkstation, and put it in $path"
 	exit 1
 fi
 
diff --git a/build/config/armel/orion5x/network-console.cfg b/build/config/armel/orion5x/network-console.cfg
index 61efb6e..7e86100 100644
--- a/build/config/armel/orion5x/network-console.cfg
+++ b/build/config/armel/orion5x/network-console.cfg
@@ -60,6 +60,8 @@ lsmini:
 	cp $(TEMP)/ls-wsgl/kernel.uboot $(SOME_DEST)/$(EXTRANAME)/buffalo/ls-wsgl/uImage.buffalo
 	mkimage -A arm -O linux -T ramdisk -C gzip -a 0x02000000 -e 0x02000000 -n "debian-installer ramdisk" -d $(TEMP_INITRD) $(TEMP)/ls-wsgl/initrd.uboot
 	cp $(TEMP)/ls-wsgl/initrd.uboot $(SOME_DEST)/$(EXTRANAME)/buffalo/ls-wsgl/initrd.buffalo
+	install -m 744 boot/arm/lspro-config-debian $(SOME_DEST)/$(EXTRANAME)/buffalo/ls-wsgl/config-debian
+	update-manifest $(SOME_DEST)/$(EXTRANAME)/buffalo/ls-wsgl/config-debian "Script to run debian-installer"
 	update-manifest $(SOME_DEST)/$(EXTRANAME)/buffalo/ls-wsgl/uImage.buffalo "Linux kernel for Linkstation Mini"
 	update-manifest $(SOME_DEST)/$(EXTRANAME)/buffalo/ls-wsgl/initrd.buffalo "initrd for Linkstation Mini"
 
